<?php
if(!defined("ABSPATH"))
	die(); // No direct access plx
	
$updateMessage = '';

// Function to get a list of the Blogs Pages and return a UL list of them
function get_blog_pages($parentId = 0, $selected=array()) {
   $retStr = '';
   
   if(!is_array($selected))
      $selected = array();

   $pages = get_pages('parent='.$parentId.'&child_of='.$parentId);
   if(count($pages) > 0){
      $retStr .= "<ul class='tree_leaf'>";
      foreach($pages as $page){
         $sel = false;
      	if(in_array($page->ID,$selected))
      			$sel = true;
        $retStr.= '<li><input type="checkbox" name="imwbCovertIM_Show[pageid][]" value="'.$page->ID.'" id="pageid_'.$page->ID.'"'.(($sel)?' checked="checked"':'').' /> <label for="pageid_'.$page->ID.'">'.wp_specialchars($page->post_title).'</label>'.get_blog_pages($page->ID, $selected).'</li>';
      }
       $retStr .= "</ul>";
   }
   
   return $retStr;
}

// Function to get a list of the Blogs Categories and return a UL list of them
function get_blog_categories($parentId = 0, $selected=array()) {
   $retStr = '';

if(!is_array($selected))
   $selected = array();
   
	$cats = get_categories('child_of='.$parentId.'&parent='.$parentId.'&hide_empty=0');
   if(count($cats) > 0){
      $retStr .= "<ul class='tree_leaf'>";
      foreach($cats as $cat){
        $sel = false;
        if(in_array($cat->cat_ID,$selected))
        		$sel = true;    
        $retStr.= '<li><input type="checkbox" name="imwbCovertIM_Show[catid][]" value="'.$cat->cat_ID
        .'" id="pageid_'.$cat->cat_ID
        .'"'.(($sel)?' checked="checked"':'').' /> <label for="pageid_'.$cat->cat_ID
        .'">'.wp_specialchars($cat->cat_name).'</label>'.get_blog_categories($cat->cat_ID, $selected).'</li>';
      }
       $retStr .= "</ul>";
   }
   
   return $retStr;
}

	
if (isset($_POST['update_imwb_covertim_pro_Settings']) || isset($_POST['imwb_cimSetActive']) || isset($_POST['imwb_cimSetInactive'])) { 

   if(isset($_POST['imwb_cimSetActive'])) 
      $devOptions['active'] = 'Y';
   else if(isset($_POST['imwb_cimSetInactive'])) 
      $devOptions['active'] = 'N';   
   else if(isset($_POST['update_imwb_covertim_pro_Settings']))
      $devOptions['active'] = $_POST['imwbCovertIM_Active'];   
      
	if (isset($_POST['imwbCovertIM_SSW'])) 
			$devOptions['show_samewindow'] = $_POST['imwbCovertIM_SSW'];
   if (isset($_POST['imwbCovertIM_Show'])) 		
		$devOptions['where_shown'] = $_POST['imwbCovertIM_Show'];
   if (isset($_POST['imwbCovertIMShow_Delay'])) 
      $devOptions['im_show_delay'] = $_POST['imwbCovertIMShow_Delay'];
	if (isset($_POST['imwbCovertIMHide_Delay'])) 
	   $devOptions['im_hide_delay'] = $_POST['imwbCovertIMHide_Delay'];
   if (isset($_POST['imwbCovertIMReshow_Days'])) 
      $devOptions['im_reshow_days'] = $_POST['imwbCovertIMReshow_Days'];	
   if (isset($_POST['imwbCovertIMReshow_Delay'])) 
      $devOptions['im_reshow_delay'] = $_POST['imwbCovertIMReshow_Delay'];     
   if (isset($_POST['imwbCovertIM_Sound'])) 
      $devOptions['play_sound'] = $_POST['imwbCovertIM_Sound'];           
   if (isset($_POST['imwbCovertIM_Track_Users'])) 
      $devOptions['track_users'] = $_POST['imwbCovertIM_Track_Users'];     
   else
      $devOptions['track_users'] = 'Y';
   
   $naCount = 0;
   for($i = 1; $i <= $this->variationCount; $i++) {   
      $devOptions['im_var'.$i]['im_template'] = $_POST['imwbCovertIMMsg_Template'][$i];
      $devOptions['im_var'.$i]['im_url'] = trim($_POST['imwbCovertIM_URL'][$i]);
      if($devOptions['im_var'.$i]['im_template'] == 'N')
         $naCount++;
      $devOptions['im_var'.$i]['im_from_name'] = $_POST['imwbCovertIMMsg_From'][$i];
   	$devOptions['im_var'.$i]['im_msg_text'] = $_POST['imwbCovertIMMsg_Text'][$i];
   }   
   
   // Set Inactive if all variations are set to not used
   if($naCount == $this->variationCount)
      $devOptions['active'] = 'N';
      
	$devOptions = $this->save_admin_options($devOptions, $this->currentCIMNum);

   $updateMessage = '<div class="imwb_cim_active_panel"><p><strong>Settings Updated </strong></p></div>';
} 
?>	
<div class="wrap">
<?php 

if($this->update->update['latest_version'] > IMWB_CIM_PRO_VERSION)
   echo '<div class="imwb_cim_active_panel"><p><strong>'.$this->update->update['after_plugin_row'].'</strong></p></div>';

 ?>
<div id="imwb_plugin_header">
<a href="http://imwealthbuilders.com" target="_blank"><img src="<?php echo $this->plugin_url.'/pages/images/imwblogo.png';?>"></a>
<span id="imwb_plugin_header_link"><a href="http://imwealthbuilders.com/newplugins" target="blank">Click Here To See Our Latest WP Plugins</a></span>
<h2>Covert Messenger PRO</h2>
<div style="clear: both"></div>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div class="icon32" id="icon-link-manager"><br></div><h2>Messenger <?php echo $this->currentCIMNum;?> Settings - <small><a href="http://covertmessenger.com/help/pro_help.html" target="_blank">Click Here For Help</a></small></h2>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
<input type="hidden" name="imwbCovertIM_num" value="<?php echo $this->currentCIMNum;?>">
<input type="hidden" name="imwbCovertIM_Active" value="<?php echo $devOptions['active'] ?>">
<?php
   if($devOptions['active'] == "N") {
?>
<div class="imwb_cim_active_panel">
   Currently not active. To activate it click <input class="button-secondary" type="submit" name="imwb_cimSetActive" value="Set Active"  onclick="return imwb_cim_confirmSetActive();"/>
</div>
<?php
   }
   else if($devOptions['active'] == "Y") {
?>
<div class="imwb_cim_active_panel">
   Currently active. To deactivate click  <input class="button-secondary" type="submit" name="imwb_cimSetInactive" value="Set Inactive" onclick="return imwb_cim_confirmSetInactive();"/>
</div>
<?php 
   }
?>
<div id="imwb_cim_preview_panel"><p id="prevLabel">Preview</p><div id="imwb_cabim_dialog" class="imwb_cabim_style_<?php echo preg_replace('/\.[^.]*$/', '', $devOptions['im_var1']['im_template']);?>" <?php if($devOptions['im_var1']['im_template'] != 'N') { ?>style="background-image: URL('<?php echo $this->plugin_url.'/tpl/'.$devOptions['im_var1']['im_template'];?>')" <?php } ?>>
<div id="imwb_cabim_dialog_from"><?php echo $devOptions['im_var1']['im_from_name'] ?></div>
<div id="imwb_cabim_dialog_text"><?php echo $devOptions['im_var1']['im_msg_text'] ?></div>
</div></div>
<div class="icon32" id="icon-edit-pages"><br></div>
<h2 class="imwb-nav-tab-wrapper">
<?php
for($i = 1; $i <= $this->variationCount; $i++) {
?>
<a href="#variation_<?php echo $i;?>" class="imwb-nav-tab <?php echo $i == 1 ? "imwb-nav-tab-active" : "";?>">Variation <?php echo $i;?></a>
<?php
}
?>
</h2>

<?php
for($i = 1; $i <= $this->variationCount; $i++) {
?>
  <input type="hidden" name="imwbCovertIMMsg_Template[<?php echo $i;?>]" value="<?php echo $devOptions['im_var'.$i]['im_template'] ?>">
  <input type="hidden" name="imwbCovertIMMsg_From[<?php echo $i;?>]" value="<?php echo $devOptions['im_var'.$i]['im_from_name'] ?>">
  <textarea name="imwbCovertIMMsg_Text[<?php echo $i;?>]" style="display: none"><?php echo $devOptions['im_var'.$i]['im_msg_text'] ?></textarea>
  <input type="hidden" name="imwbCovertIM_URL[<?php echo $i;?>]" value="<?php echo $devOptions['im_var'.$i]['im_url'] ?>">
<?php 
}
?>
<div id="imwb_nav_panel" class="imwb_nav_panel_entry">
<h3>Template</h3>
<input type="radio" name="imwbCovertIM_TemplateFld" value="N" <?php if ($devOptions['im_var1']['im_template'] == 'N') { _e('checked="checked"'); }?>/> <span>None</span>
<ul class='imwbCovertIM_Template clearfix'>
<?php
foreach($this->templates as $key => $value) {
  echo "<ul><span>".$key."</span>";
  foreach($value as $label => $lvalue) {
?>
  <li>
<input type="radio" name="imwbCovertIM_TemplateFld" value="<?php echo $lvalue;?>" <?php if ($devOptions['im_var1']['im_template'] == $lvalue) { _e('checked="checked"'); }?>/> <?php echo $label;?> 
   </li>
<?php
 }
 echo "</ul>";
}
?> 
</ul>
<h3>From Name</h3>
<input type=text name="imwbCovertIMMsg_FromFld" style="width: 40%;" value="<?php echo $devOptions['im_var1']['im_from_name'] ?>">
<h3>Message Text</h3> 
<?php
  if (function_exists('wp_editor')) { // 3.3.x HTML editor 
     wp_editor($devOptions['im_var1']['im_msg_text'], 'content', array('media_buttons' => true, 'teeny' => false));
  }
  else {
     echo '<div id="poststuff">';
     the_editor($devOptions['im_var1']['im_msg_text'] );
     echo '</div>';
}
?>
<h3>URL to show when clicked</h3>
<input type=text name="imwbCovertIM_URLFld" style="width: 100%;" value="<?php echo $devOptions['im_var1']['im_url'] ?>">
</div>
<h3>URL Should Show in</h3>
<p><input type="radio" name="imwbCovertIM_SSW" value="true" <?php if ($devOptions['show_samewindow'] == "true") { _e('checked="checked"'); }?> /> Same Window&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="imwbCovertIM_SSW" value="false" <?php if ($devOptions['show_samewindow'] == "false") { _e('checked="checked"'); }?>/> New Window</p>

<div class="imwb_show_options clearfix">
<h3>Where do you want the messenger ad to display</h3>
<p><input type="checkbox" id="imwbCovertIM_Show_everywhere" name="imwbCovertIM_Show[everywhere]" value="E" <?php if ($devOptions['where_shown']['everywhere'] == "E") { _e('checked="checked"'); }?>/> Everywhere&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" id="imwbCovertActionBar_Show_front" name="imwbCovertIM_Show[front]" value="F" <?php if ($devOptions['where_shown']['front'] == "F") { _e('checked="checked"'); }?>/> Front Page&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" id="imwbCovertActionBar_Show_search" name="imwbCovertIM_Show[search]" value="S" <?php if ($devOptions['where_shown']['search'] == "S") { _e('checked="checked"'); }?>/> Search Results Page</p>

<div class="sub_panel">
<h4>On These Pages:</h4>

<?php
   echo	get_blog_pages(0, $devOptions['where_shown']['pageid']);
?>
</div>
<div class="sub_panel">
<h4>On These Categories:</h4>
&nbsp;&nbsp;Show For
<select name="imwbCovertIM_Show[catpage]" id="imwbCovertIM_Show_catpage">
<?php

$opts = array('Both','Category page only','Post within the category');
foreach($opts as $a => $b){
	echo '<option value="'.$a.'"'.(($a==$devOptions['where_shown']['catpage'])?' selected="selected"':'').'>'.$b.'</option>';
}
echo '</select>';
echo	get_blog_categories(0, $devOptions['where_shown']['catid']);
?>
</div>
<div class="sub_panel">
<h4>On These Post Pages:</h4>
&nbsp;&nbsp;Show on these Post Pages<br>
&nbsp;&nbsp;<small>Enter a list of comma separated Id's</small><br>
&nbsp;&nbsp;<input type="text" name="imwbCovertIM_Show[postid]" id="imwbCovertIM_Show_postid" value="<?php echo $devOptions['where_shown']['postid'];?>" size="50">
</div>
</div>

<h3>Show immediately or delayed</h3>
<p>Delay before shown in seconds (0 = immediately) <input type=text name="imwbCovertIMShow_Delay" size=5 value="<?php echo $devOptions['im_show_delay'] ?>"></p>

<h3>Hide delay</h3>
<p>Delay before hidden in seconds (0 = never) <input type=text name="imwbCovertIMHide_Delay" size=5 value="<?php echo $devOptions['im_hide_delay'] ?>"></p>

<h3>Reshow delay</h3>
<p>When hidden delay before shown again in seconds (0 = never) <input type=text name="imwbCovertIMReshow_Delay" size=5 value="<?php echo $devOptions['im_reshow_delay'] ?>"></p>

<h3>Days before reshow</h3>
<p>When closed how may days before shown again (0 = always show) <input type=text name="imwbCovertIMReshow_Days" size=5 value="<?php echo $devOptions['im_reshow_days'] ?>"><a class="button-secondary" id="imwb_cimClearCookie">Clear Cookie</a></p>

<h3>Play Sound</h3>
<p><input type="radio" name="imwbCovertIM_Sound" value="1" <?php if ($devOptions['play_sound'] == "1") { _e('checked="checked"'); }?> /> Yes&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="imwbCovertIM_Sound" value="0" <?php if ($devOptions['play_sound'] == "0") { _e('checked="checked"'); }?>/> No</p>

<p><input type="checkbox" id="imwbCovertIM_Track_Users" name="imwbCovertIM_Track_Users" value="N" <?php if ($devOptions['track_users'] == "N") { _e('checked="checked"'); }?>/> Do Not Track Impressions and CTR For logged in WordPress users</p>
<div class="submit">
<input class="button-primary" type="submit" name="update_imwb_covertim_pro_Settings" value="<?php _e('Update Settings', 'imwb_covertim_pro') ?>" />
</div>
</form>

 </div>
 </div>
 