jQuery(document).ready(function($) {
	// $() will work as an alias for jQuery() inside of this function
	
  // $('#content-tmce').click();
   
	$('input[name=imwbCovertIM_TemplateFld]').change(function(){
	   var fldVal = $(this).val();
      $('input[name=imwbCovertIMMsg_Template\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val(fldVal);
      imwb_cim_update_preview(fldVal);
	});
	
	$('#imwb_cimClearCookie').click(function() {

      var data = {
          action :'imwb_covertmessenger-pro_clear_cookie',
          msnNum : $('input[name=imwbCovertIM_num]').val(),
          nonce : IMWB_CIM_Ajax.nonce
      };
      
      $.post(IMWB_CIM_Ajax.ajaxurl+'?r='+(Math.random()*445), data);
      
      return false;
	});
	
	$('input[name=imwbCovertIMMsg_FromFld]').bind('keyup change blur paste propertychange input', function(){
	   $('#imwb_cabim_dialog_from').html($(this).val());
	   $('input[name=imwbCovertIMMsg_From\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val($(this).val());
	});	
	
	$('textarea[name=content]').keyup(function(){
	   var updText = $(this).val();
	   $('#imwb_cabim_dialog_text').html(updText.replace(/\n/g, '<br />'));
	   $('textarea[name=imwbCovertIMMsg_Text\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val(updText.replace(/\n/g, '<br />'));
	});
	
	$('input[name=imwbCovertIM_URLFld]').bind('keyup change blur propertychange input', function(){
	   $('input[name=imwbCovertIM_URL\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val($(this).val());
	});	
	
	$('a.imwb-nav-tab').click(function(event) {
	
   	event.preventDefault();
  
	   if($(this).hasClass('imwb-nav-tab-active'))
	      return false;
	      
	   // set the current variation number
	   IMWB_CIM_Ajax.curVarNum = $(this).attr( "href" ).split('_')[1];
	   
	   $('.imwb-nav-tab-wrapper a.imwb-nav-tab-active').removeClass('imwb-nav-tab-active');
	   $(this).addClass('imwb-nav-tab-active');
	   
	   // Update the template field
	   $('input[name=imwbCovertIM_TemplateFld]').filter("[value='"+$('input[name=imwbCovertIMMsg_Template\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val()+"']").attr("checked","checked");
	    imwb_cim_update_preview($('input[name=imwbCovertIMMsg_Template\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val());
	   
	   // Update URL, from name and message text fields
	   $('input[name=imwbCovertIMMsg_FromFld]').val($('input[name=imwbCovertIMMsg_From\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val());   

	   $('input[name=imwbCovertIM_URLFld]').val($('input[name=imwbCovertIM_URL\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val()); 
	   
	   tinyMCE.activeEditor.setContent($('textarea[name=imwbCovertIMMsg_Text\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val());
	   
	   $('textarea[name=content]').val($('textarea[name=imwbCovertIMMsg_Text\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val());
	   
	   // update preview
      $('#imwb_cabim_dialog_from').html($('input[name=imwbCovertIMMsg_FromFld]').val());
	   $('#imwb_cabim_dialog_text').html($('textarea[name=imwbCovertIMMsg_Text\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val());
	   
	   return false;
	});
	
	$('#imwbCovertIM_Show_everywhere').change(function(){
	   if($(this).is(':checked')){
	   	before_change = [];
	   	$('.imwb_show_options :checkbox:not(#imwbCovertIM_Show_everywhere):checked').each(function(){
	   		before_change.push($(this));
	   		$(this).attr('checked',false);
	   	});
	   }
	   else {
	      if(before_change.length > 0){
	   	   $.each(before_change,function(){
	   		   $(this).attr('checked',true);
	   		});
	   	}
	   }
	   				
	});
	
	$('.imwb_show_options :checkbox:not(#imwbCovertIM_Show_everywhere)').change(function(){
		if($(this).is(':checked')){
			$('#imwbCovertIM_Show_everywhere').attr('checked',false);
		}
	});
	
   function imwb_cim_update_preview(fldVal) {
   
      $('#imwb_cabim_dialog').removeClass();
      $('#imwb_cabim_dialog').addClass('imwb_cabim_style_'+fldVal.substr(0, fldVal.lastIndexOf('.')));
      if(fldVal != 'N')
         $('#imwb_cabim_dialog').css('background-image', 'URL('+IMWB_CIM_Ajax.plugin_url+'/tpl/'+fldVal+')');
      else
         $('#imwb_cabim_dialog').css('background-image', '');
   
   }
	
});


function imwb_cim_editorHandleEvent(e) {

   if (e.type == 'mouseup') {
      mySelection = tinyMCE.activeEditor.selection.getNode();
      if (mySelection.tagName == "IMG") 
         setTimeout("imwb_cim_editorChange(tinyMCE.activeEditor)",100);
   }
   else if (e.type == 'keyup')
      imwb_cim_editorChange(tinyMCE.activeEditor);

   return true; // Continue handling
}

function imwb_cim_editorInit() {
   tinyMCE.activeEditor.onExecCommand.add(function(ed, cmd, ui, val) { imwb_cim_editorChange(ed); });
   tinyMCE.activeEditor.onChange.add(function(ed) { imwb_cim_editorChange(ed); });
}

function imwb_cim_editorChange (ed) {
   if(ed.isDirty) {
      jQuery('#imwb_cabim_dialog_text').html(ed.getContent());
      jQuery('textarea[name=imwbCovertIMMsg_Text\\['+IMWB_CIM_Ajax.curVarNum+'\\]]').val(ed.getContent());
   }
}

function imwb_cim_confirmSetActive() {

   // Make sure there is at least one active template
   var naCount = 0;
   for(var i = 1; i <= IMWB_CIM_Ajax.varCount; i++) {
      if(jQuery('input[name=imwbCovertIMMsg_Template\\['+i+'\\]]').val() == 'N')
         naCount += 1;
   }
   
   if(naCount == IMWB_CIM_Ajax.varCount) {
      alert("All your variations are set to not used. You must have at least one active template before you can activate it.");
      
      return false;
   }
   
   if( confirm("You are about to set Covert Messenger PRO active. It will start appearing on your blog. Click OK to Proceed?") ) 
      return true;
      
   return false;

}

function imwb_cim_confirmSetInactive() {
   if( confirm("You are about to set Covert Messenger PRO Inactive. It will no longer be shown. Click OK to Proceed?") ) 
      return true;
      
   return false;

}